package main

import (
	"flag"
	"log"

	"gitea.dwysokinski.me/classic-games/tennis-game/internal"
	"github.com/hajimehoshi/ebiten/v2"
)

func main() {
	fullscreen := flag.Bool("fullscreen", true, "")
	debug := flag.Bool("debug", false, "")
	flag.Parse()

	ebiten.SetWindowTitle("Tennis game")
	ebiten.SetWindowResizingMode(ebiten.WindowResizingModeEnabled)
	ebiten.SetWindowSizeLimits(internal.BaseWidth, internal.BaseHeight, -1, -1)
	w, h := ebiten.ScreenSizeInFullscreen()

	if *fullscreen {
		ebiten.SetFullscreen(true)
	} else {
		ebiten.SetWindowSize(w, h)
	}

	game, err := internal.NewGame(w, h, *debug)
	if err != nil {
		log.Fatal(err)
	}

	if err = ebiten.RunGame(game); err != nil {
		log.Fatal(err)
	}
}
